OsgiInjectableValues (Jackson module: OSGi 2.14.0 API)

com.fasterxml.jackson.module.osgi

## Class OsgiInjectableValues

- java.lang.Object
- - com.fasterxml.jackson.databind.InjectableValues
  - - com.fasterxml.jackson.module.osgi.OsgiInjectableValues

-     public class OsgiInjectableValues
      extends com.fasterxml.jackson.databind.InjectableValues

  Injects OSGI services in deserialized objects
  Use the `JacksonInject` in the constructor parameters or the class members ask for injecting a matching OSGI services. Use the `JacksonInject.value()` to specify an OSGI filter to select more accurately the OSGI services. Null is injected when no matching OSGI service is registered.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.InjectableValues

      `com.fasterxml.jackson.databind.InjectableValues.Std`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OsgiInjectableValues(org.osgi.framework.BundleContext bundleContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `findInjectableValue(Object valueId, com.fasterxml.jackson.databind.DeserializationContext ctxt, com.fasterxml.jackson.databind.BeanProperty forProperty, Object beanInstance)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OsgiInjectableValues

          public OsgiInjectableValues(org.osgi.framework.BundleContext bundleContext)

  - ### Method Detail

    - #### findInjectableValue

          public Object findInjectableValue(Object valueId,
                                            com.fasterxml.jackson.databind.DeserializationContext ctxt,
                                            com.fasterxml.jackson.databind.BeanProperty forProperty,
                                            Object beanInstance)

      Specified by:
        `findInjectableValue` in class `com.fasterxml.jackson.databind.InjectableValues`

Copyright © 2022 FasterXML. All rights reserved.